Topic: Ruby 1.8.7 or 1.9.2 or both with RVM for Rails 3 server

I currently have a server with Rackspace that has Ruby 1.8.6, Apache and Passenger to run Rails sites from. My development has moved over to Rails 3 now so I'm going to look at setting up a new server on Rackspace and over the next month look at migrating all the sites over, most are Rails 1.3.5, 1.3.4 based Rails apps.

For a production server for Rails 3 would my best option be to look at installing Ruby 1.9.2 or 1.8.7. Or what are peoples opinions on using RVM on a production server. I've had it suggested to already but was unsure as ideally I'd like to keep my production environment as simple as possible?

Thanks

David White

Re: Ruby 1.8.7 or 1.9.2 or both with RVM for Rails 3 server

Just encase anyone is interested I decided to go for 1.9.2.

I decided to see about converting an application into a rails 3 application and for the most part it was pretty simple. Plenty of resources around to help, all I need to do now is convert all the applications over to Rails 3 with Ruby 1.9.2 and I'll be good to go.

In the end it just made sense to go with the most up to date version of Ruby to try and future proof my server a bit.